Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004430Dwarf FortressDwarf Mode -- Stockpilespublic2011-04-02 09:192015-12-02 13:42
Reporterwedgebert 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.31.25 
Target VersionFixed in Version0.40.09 
Summary0004430: Large gems not moved to stockpile
Descriptionlarge gems are not moved to finished good stockpiles.
Steps To Reproduce1) Create Jewelers workshop
2) Create Finished Goods stockpile with all subitems enabled
3) Mine and cut large gems
Tagsartifacts, gems, stockpiles
Attached Files

- Relationships
related to 0000157resolvedToady One Stockpile settings "metal" category includes stones, gems, soil and other inorganics 
related to 0005530resolvedToady One Clay stockpile option disappears 
has duplicate 0005529resolvedDwarfu Artifacts made of gems cannot be put into stockpiles 
has duplicate 0006914resolvedDwarfu Gems unaccessable after recieving from trade 

-  Notes
(0017032)
slink (reporter)
2011-04-03 18:15

Same here, also artifacts made of gems. There isn't any selection for gems as a possible material type under Finished Goods.
(0017038)
wedgebert (reporter)
2011-04-03 21:40

Seems to happen for non-artifact gem crafts as well.
(0017404)
hyndis (reporter)
2011-04-16 07:58
edited on: 2011-04-16 08:53

Finished good stockpiles do not allow gems to be stored there. Check the materials list.

Metal is allowed. Wood, cloth, bone, leather, amber, coral, glass, yarn, and wax are all allowed. Gem material is not.

This means glass large gems can be stored in a finished goods stockpile, but, say a large diamond has no stockpile to be stored in.

(0017676)
slink (reporter)
2011-05-09 18:55

Nail is also missing as a material. I have a dog nail amulet that cannot be stored in a stockpile.
(0017737)
Quietust (reporter)
2011-05-15 09:44

Nail is a tricky case, since there is no existing classification for it (hoof and horn are classified as [HORN], ivory and tooth are [IVORY], etc.). Gems technically have a classification (by having [IS_GEM:...]), but that classification seemingly isn't being used by stockpiles.
(0017759)
cephalo (reporter)
2011-05-16 20:05

This is kindof a problem for gem artifacts, since they don't allow dumping, they can't be moved once made. I have some in my temporary fort that is scheduled for destruction, leaving my artifacts in the woods. If anyone knows of a way to move them to a specific location I'd like to hear it.
(0017760)
Quietust (reporter)
2011-05-16 20:10
edited on: 2011-05-16 20:10

One temporary workaround is to edit material_template_default.txt and add [IS_STONE] to STONE_TEMPLATE, load the fortress and add the gem types to your stockpiles, wait for the gem items to be stockpiled, then edit material_template_default.txt and change it back (so as to prevent the game from getting confused about materials having both IS_STONE and IS_GEM simultaneously).

(0017915)
king doom (reporter)
2011-06-01 13:05

Confirming that artifacts made from gems (got a table made from a single gemstone) and perfect gems aren't moved to stockpiles, still present in 31.25
(0018642)
acetech09 (reporter)
2011-08-28 11:43

confirming kink's confirmation.
(0018671)
UristMcDorf (reporter)
2011-09-02 22:34

There is kind-of a (no-mod) workaround to the unmovability problem; large gems/gem crafts can be designated for trading and brought to the depot. You might not be able to get them out again (barring depot deconstruction), but at least you can get them out of the woods and safe underground. Won't work for gem artifacts, though..
(0021183)
slink (reporter)
2012-03-06 12:29

Still here in 34.04.
(0022817)
kartofius al andalus (reporter)
2012-06-02 21:46

still here in 34.07
(0022822)
wedgebert (reporter)
2012-06-03 16:22

Still in 34.10 as well.
(0022889)
cephalo (reporter)
2012-06-07 05:51

Can anyone change the name of this issue? The fact that artifact gems can't be moved at all is the far more serious consequence of this bug. I'm concerned that the summary makes it seem like a harmless stockpile issue with easy workarounds, but its really frustrating if you care about gem artifacts.
(0022899)
Snaake (reporter)
2012-06-07 20:31

My artefact animal trap made from 1 gem gets moved to a stockpile just fine (34.10, 34.11). Of course, the only certain way to get it where I wanted was to only have the one stockpile available. Might help that there's no material criteria available for animal stockpiles.

So Finished Goods + Furniture are the problem? (Armor? Weapons? Are those possible to mood out of gems?)
(0023107)
Hesuchia (reporter)
2012-06-25 09:55

Would modifying the raws to treat Large Gems/crafts as glass material work? I'm not sure if that would change the base value of the item or not, since the source material was still a particular gem.
(0025534)
cephalo (reporter)
2014-07-10 07:51

This issue still exists for 40.01. It's my big fort mode pet peave!
(0026859)
slink (reporter)
2014-07-18 07:48

And for 40.03.
(0027480)
RedDwarfStepper (reporter)
2014-07-25 02:05

And for 40.04 :)
(0028795)
cephalo (reporter)
2014-08-11 07:48

Not to bump this for every release, but this has to be one of the easiest bugs to fix. Artifacts are really important in fort mode, and the dwarves need to be able to move them around.

I'm still concerned that the summary makes the issue seem more trivial than it actually is. "Gem artifacts cannot be moved" is a better summary.

- Issue History
Date Modified Username Field Change
2011-04-02 09:19 wedgebert New Issue
2011-04-03 18:15 slink Note Added: 0017032
2011-04-03 21:40 wedgebert Note Added: 0017038
2011-04-06 17:04 Footkerchief Relationship added related to 0000157
2011-04-16 07:58 hyndis Note Added: 0017404
2011-04-16 07:58 hyndis Note Edited: 0017404 View Revisions
2011-04-16 08:53 hyndis Note Edited: 0017404 View Revisions
2011-05-05 11:27 kwieland Issue Monitored: kwieland
2011-05-09 18:55 slink Note Added: 0017676
2011-05-15 08:08 Soadreqm Issue Monitored: Soadreqm
2011-05-15 09:44 Quietust Note Added: 0017737
2011-05-16 20:05 cephalo Note Added: 0017759
2011-05-16 20:06 cephalo Issue Monitored: cephalo
2011-05-16 20:10 Quietust Note Added: 0017760
2011-05-16 20:10 Quietust Note Edited: 0017760 View Revisions
2011-06-01 13:05 king doom Note Added: 0017915
2011-08-28 11:43 acetech09 Note Added: 0018642
2011-09-02 22:34 UristMcDorf Note Added: 0018671
2012-03-02 17:24 Dwarfu Relationship added has duplicate 0005529
2012-03-06 12:29 slink Note Added: 0021183
2012-03-06 12:49 Footkerchief Relationship added related to 0005530
2012-03-24 08:33 Buglist Issue Monitored: Buglist
2012-06-02 21:46 kartofius al andalus Note Added: 0022817
2012-06-03 16:22 wedgebert Note Added: 0022822
2012-06-04 14:33 eatatree Issue Monitored: eatatree
2012-06-07 05:51 cephalo Note Added: 0022889
2012-06-07 12:20 wedgebert Tag Attached: stockpiles
2012-06-07 12:20 wedgebert Tag Attached: gems
2012-06-07 12:20 wedgebert Tag Attached: artifacts
2012-06-07 20:31 Snaake Note Added: 0022899
2012-06-25 09:55 Hesuchia Note Added: 0023107
2014-07-09 23:17 Dwarfu Relationship added has duplicate 0006914
2014-07-10 07:51 cephalo Note Added: 0025534
2014-07-18 01:35 SmileyMan Issue Monitored: SmileyMan
2014-07-18 07:48 slink Note Added: 0026859
2014-07-25 02:05 RedDwarfStepper Note Added: 0027480
2014-08-06 13:24 RedDwarfStepper Issue Monitored: RedDwarfStepper
2014-08-06 21:41 4maskwolf Issue Monitored: 4maskwolf
2014-08-11 07:48 cephalo Note Added: 0028795
2014-08-11 08:01 Footkerchief Assigned To => Footkerchief
2014-08-11 08:01 Footkerchief Status new => confirmed
2014-08-13 13:55 Toady One Status confirmed => resolved
2014-08-13 13:55 Toady One Fixed in Version => Next Version
2014-08-13 13:55 Toady One Resolution open => fixed
2014-08-13 13:55 Toady One Assigned To Footkerchief => Toady One
2014-08-13 14:28 4maskwolf Issue End Monitor: 4maskwolf
2014-08-19 07:46 cephalo Issue End Monitor: cephalo
2014-12-22 05:11 Soadreqm Issue End Monitor: Soadreqm
2015-12-02 13:42 eatatree Issue End Monitor: eatatree


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker